<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_7276e0af756e529d30af7aaafe4" . "e7784" => base64_decode("YXJjaG" . "l2ZWQ="), "_5ecedeb8c083d4a2a4ebef5526097f5" . "8" => base64_decode("YXNza" . "WduZW" . "Vz"), "_f73dab606630b388" . "645c4f7d3fbb13bb" => base64_decode("YXJy" . "YXlf" . "bWVy" . "Z2U="), "_7f5aa4e96" . "d4b415a86e" . "d72ebff677" . "cbe" => base64_decode("cXVlc" . "nk="), "_8f3ef8878b2a82" . "b830d051a059162" . "317" => base64_decode("Y3JlYXRlZF9mcm9" . "t"), "_c42d618c08b720c25b90a" . "d5550e2db2f" => base64_decode("cmVwb3" . "J0ZXI="), "project_" . "id" => base64_decode("cHJvamVjdF9" . "pZA=="), "_57c0a2f09" . "e2a920c056" . "0baffc5e3d" . "295" => base64_decode("cmV" . "wb3" . "J0Z" . "XJz"), "_4d707fab93bebb00bbe69e8" . "159697c90" => base64_decode(""), "_7608a2690229dd26ac43cb" . "60aa2a7d97" => base64_decode("bGFzdF9" . "tb2RpZm" . "llZA=="), "st" . "at" . "us" => base64_decode("c3Rhd" . "HVz"), "_83396dddfc39e26775d1e61d" . "b5abf86b" => base64_decode("bW9uaXRvcmlu" . "Zw=="), "_8af1b1bd0c05175c85a4cee44" . "d47d2da" => base64_decode("cXVlcnlfZmllbG" . "Rz"), "_1ac5cc48c34c5362e94d86" . "67cc7b0ddc" => base64_decode("LA=" . "="), "_5159b3572" . "969eca46ac" . "d1b2e14184" . "59c" => base64_decode("aW1wbG9kZ" . "Q=="), "_ff248fe1eba68f190" . "ea1ff00a554acde" => base64_decode("YXNza" . "WduZW" . "U="));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c42d618c0" . "8b720c25b9" . "0ad5550e2d" . "b2f"]] ?? $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fab93bebb00bbe6" . "9e8159697c90"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ff248fe1e" . "ba68f190ea" . "1ff00a554a" . "cde"]] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["statu" . "s"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8f3ef8878b2a82b830d051a0" . "59162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7608a2690229dd2" . "6ac43cb60aa2a7d9" . "7"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7276e0af7" . "56e529d30a" . "f7aaafe4e7" . "784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7276e0af756e" . "529d30af7aaaf" . "e4e7784"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_83396dddfc39e267" . "75d1e61db5abf86b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_83396dddfc39e26775d1e6" . "1db5abf86b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f5aa4e96d4b4" . "15a86ed72ebff6" . "77cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8af1b1bd0c05175c85a" . "4cee44d47d2da"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8af1b1bd0c05175c85a" . "4cee44d47d2da"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f73dab6" . "06630b38" . "8645c4f7" . "d3fbb13b" . "b"](parent::toArray(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["project_" . "id"] => $this->projectId, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_57c0a2f09e2a920c0560baffc5" . "e3d295"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_5159b3572969eca46" . "acd1b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_1ac5cc48c34c" . "5362e94d8667c" . "c7b0ddc"], $this->reporter) : null, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5ecedeb8c083d4a2a4ebef5526097f" . "58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5159b3572969eca46" . "acd1b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1ac5cc48c34c5362e9" . "4d8667cc7b0ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7276e0af756e529d30af7aaafe4e77" . "84"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_83396dddfc39e2677" . "5d1e61db5abf86b"] => $this->monitoring, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["statu" . "s"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}